:root, body {
  --fs-tkcs-right-bg: url('../images/png/tool-right-bg.png');
  --fs-tkcs-right-font-color-1: #FFFFFF;
  --fs-tkcs-right-font-color-2: #FFFFFF;
}

/* 右侧 */
.fs-tkcs-right {
  position: fixed;
  right: 0px;
  top: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0;
  margin: 0;

  list-style: none;
  z-index: 99;
  filter: drop-shadow(0px 0px 16px rgba(0, 0, 0, 0.20));
}

.fs-tkcs-right li {
  position: relative;
  cursor: pointer;

  text-align: center;
  font-family: Rubik;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 6;
  /* 150% */
  letter-spacing: -1px;

  width: 64px;
  height: 64px;
  background-image: var(--fs-tkcs-right-bg);
  background-size: 100% auto;
  background-repeat: no-repeat;

}

.fs-tkcs-right li:nth-child(1) {
  color: var(--fs-tkcs-right-font-color-1);
  background-position: top center;
}

.fs-tkcs-right li:nth-child(2) {
  color: var(--fs-tkcs-right-font-color-2);
  background-position: bottom center;
}

/* 气泡样式 */
.fstk-bubble {
  position: absolute;
  background: #fff;
  color: #000;
  border-radius: 8px;
  padding: 20px 30px;
  font-size: 24px;
  font-family: "Rubik";
  line-height: 1;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.08);
  display: flex;
  white-space: nowrap;
  opacity: 0;
  transition: all 0.3s;
  pointer-events: none;
}

.fstk-bubble-fade-in-right {
  top: 0%;
  right: 76px;
  transform: translate(50px, 0);
}

/* 右侧箭头 */
.fstk-bubble-fade-in-right::before {
  content: "";
  position: absolute;
  top: 50%;
  right: -12px;
  transform: translateY(-50%);
  border-width: 10px 0 10px 12px;
  border-style: solid;
  border-color: transparent transparent transparent #fff;
  z-index: 2;
}

/* 右侧箭头阴影 */
.fstk-bubble-fade-in-right::after {
  content: "";
  position: absolute;
  top: 50%;
  right: -14px;
  transform: translateY(-50%);
  border-width: 11px 0 11px 14px;
  border-style: solid;
  border-color: transparent transparent transparent rgba(0, 0, 0, 0.10);
  z-index: 1;
}

/* PC hover 显示气泡 */
@media (min-width: 1001px) {
  .fs-tkcs-right li:hover .fstk-bubble {
    transform: translate(0, 0);
    opacity: 1;
    pointer-events: auto;
  }
}

/* Media Query */
@media (max-width: 1000px) {
  /* 右侧 */
  .fs-tkcs-right {
    top: 30%;
    right: 0rem;
  }

  .fs-tkcs-right li {
    font-size: 1.5rem;
    width: 6.125rem;
    height: 6rem;
  }

  /* 移动端隐藏气泡 */
  .fstk-bubble {
    display: none;
  }
}
